Jump to content

Concorde-X V1.40 Now Available For Fsx and P3D v3.


Lefteris Kalamaras

Recommended Posts

Lefteris Kalamaras

FOR IMMEDIATE RELEASE

Feb 07, 2017

Flight Sim Labs, Ltd. releases Concorde-X v1.39 for FSX and v1.39 for P3D

Flight Sim Labs, Ltd. (FSLabs) is pleased to announce the release of Concorde-X v1.39 for FSX and v1.39 for P3D.

Packed with a variety of improvements and fixes for issues found over its existence in the Flight Simulator Market, the new v1.39 is now compatible with all editions of Flight Simulator X and with all editions of Prepar3D v3 (up to v3.4.22 build 19868).

With significantly improved memory management and savings of 300-350MB in memory use compared to previous versions, full compatibility with DX10 in FSX SP2, XPack and Steam as well as improvements in virtual cockpit lighting with the use of FSL Spotlights (download separately from the FSLabs website) and the amazing shadow technology offered in Prepar3D using DX11, this version also packs several important modifications and improvements in Autopilot and thrust handling developed for the upcoming A320-X, as well as corrected drag for supersonic descents, improved fuel consumption characteristics matching the real-world aircraft tables and all-new sonic-boom effects experienced when in Tower or Fly-By views, together with a variety of smaller improvements to make for the best Concorde-X product ever!

v1.39 for FSX is a maintenance release that updates the Concorde-X for FSX to fix the bug with the ADI tilting after loading a saved flight and to make it compatible with the latest A320-X for FSX binaries.

v1.39 for P3D is a maintenance release that updates the Concorde-X for P3D to be compatible with Prepar3D v3.4 build 19868.

The following changes improve upon previous releases:

- Support for P3D v3.4

- Fix for save/load flight functionality in P3D

- Improvements to MAX CRUISE (to prevent descending unnecessarily)

- Autothrottle improvements

- Autopilot VOR mode improved

- Autopilot VERT SPEED mode improved

- Autopilot GO AROUND disengagement with HDG HOLD

- ADI FD flag logic corrected

- Yellow Hydraulic LP warning on gear extension now random

- ICOVOL lower rudder indicator fixed

- VFE Aft Trim issue fixed

- Missing 'Alert Height Cat 3' call out fixed

- Glareshield spotlights in VC added

- Engine Idle Switches auto latch to High at 60kts

Offering the most complete Concorde aircraft simulation ever produced for a desktop flight simulator, Concorde-X is also one of the easiest to fly and sets a new standard for aircraft systems accuracy, stunning photo-realistic 2D graphics, exquisitely detailed external and virtual cockpit modeling and a fully immersive three-dimensional sound experience. Concorde-X is available for electronic purchase and download from the Flight Sim Labs website.

Customers who have already purchased the Concorde-X in the past 365 days are entitled to a free update through the Flight Sim Labs redownload service area.

Thank you all for your continued support!

  • Like 6
Link to comment
  • 3 weeks later...

thanks Lefteris, just about to go away so will purchase when I return, I do have this on my FSX desktop system a few years ago, so will have to get the new version.

Link to comment
Lefteris Kalamaras

Martin-

I fear you're too quick to judge and your comments are grossly mistaken. Read again (also, read my answer to you in your other post) and you'll see that you do not have to repurchase an FSX version if you already own the previous one. All you need is the renewal service ($4.99) which covers our ISP costs - the upgrade is free otherwise.

(And the funkiest thing is - you found this for yourself, as I see that you did in fact purchase the renewal service today, but I didn't see any retraction statements from you... quick to fire, not so quick to retract).

  • Like 2
Link to comment
Martin Maaskant

Lefteris,

I appologize to you and the team for my reaction I should have choosen my words more carefully. As you have seen I did buy the renewal but as stated before it got me the 1.31 version. Maybe I'm doing something wrong.

Link to comment
Lefteris Kalamaras

As long as you use this link here with a valid order ID (the $4.99 redownload one) and the original serial number, you should always be able to download the latest version that is available on our website.

Link to comment

Hi Lefteris,, I have the original ConcordeX disk, manual and reg key purchased from FlightSim Store here in Aust on the 27 October 2010, now I have this on my desktop computer now I want to put it on another computer running P3D v3.2, in this situation do I need a full repurchase or can I do the link for $4.99 ?

Link to comment
  • 1 month later...
Rico van Dijk

Heya,

I purchased the Concorde 6 years ago. Never used it much because my pc of the day couldn't run it at more than 6fps. My current PC should be able to run it though.

Interesting to see this product is still in development! How can I get the update please?

Best regards,

Link to comment
Lefteris Kalamaras

Dear Rico,

Since you are asking this question, it means we have failed in adequately providing full details in this forum as well as in our web site Concorde-X product page - is that the case, or did you come straight here without looking elsewhere? - I am not trying to insult you, rather the opposite, I'd be very interested to know if we're not making our update information available correctly.

Link to comment
Lefteris Kalamaras

Gents-

we're happy to announce that we've updated the Concorde-X for P3D installer to be the new version 1.33 which supports all versions of Prepar3D up to v3.3. Please follow redownload instructions and let us know how that works for you!

Link to comment

Hello Lefteris. Would you be so kind to clarify this update v1.32 for FSX. On March 17 I downloaded v1.32, that was from a link you provided me, which at that time you requested not discuss it elsewhere, obviously to avoid confusion.

Is this present v1.32 been updated to what I would have downloaded at that time and, do I need to re-download it again?

Link to comment
Jeremy Carter

Hi Lefteris,


I have just installed the full version of P3D v3.3 (Removed all add-ons including ConcordeX v1.32)


When I try to install either ConcordeX v1.33 OR Spotlights the Sim option is greyed out and I cannot proceed.

Antivirus is off, I am running both programs as administrator and I was able to install the Aerosoft Airbus as normal.

(P3D is installed on a separate SSD to Windows 7 incidentally)

Any advice gratefully received!


Hope you're well, Jeremy

 

Link to comment

Same problem , just bought it , less than 1h ago and cannot install it on 3.3 with hotfix 3.3.5 

Capture.JPG

Same problem , just bought it , less than 1h ago and cannot install it on 3.3 with hotfix 3.3.5 

Link to comment
Peter Aertssen
11 hours ago, kaosfere said:

The current version will not install into 3.3.5;  they are working on validation against the new version of P3D and will hopefully release an update soon.

If you look here:

So I guess you'll have to wait.... or... like me, don't install the P3D hotfix yet.....

Link to comment
Lefteris Kalamaras

Gents-

check the redownload page - I've uploaded a new Concorde-X version 1.34 which should bring compatibility with Prepar3D v3.3.5 build 17625.

Link to comment
  • 2 weeks later...

Ok, I downloaded the latest version through the Re-Download option (for €4,99) and used my original Aerosoft key as described. Now the aircraft tells me after about 3 minutes that there is a problem with the validation. Can you help?

Best regards,

Seawing

Link to comment

Ok, thank you!

That worked! Now let' shope the aircraft doesn't pitch up like crazy again when I turn the reheats off after the transsonic acceleration ...

 

Seawing

Link to comment
  • 1 month later...

Hello,

I have purchased v.1.3 for P3D, but now I have P3Dv.3.5.  Where do I download the upgrade for the ConcordeX to make it work in P3Dv3.5 without making a new purchase?

I see a lot of announcements in the forum, but I don't see any link to the download.

 

Thank you,

Bob

Link to comment

@signmanbob can you report to working your Concorde, or not in p3d V3.3.5? Sorry, but no answer from stuff here, to fix my problem...

this my failure report, after crash p3d, when i will start the Concorde.

when comes a new Version with a working Installer for Concorde. I wanna fly, but my P3D V3.3 is crashing.

  Prepar3D.exe
      3.3.5.17625
      5758bb31
      KERNELBASE.dll
      10.0.10586.494
      5775e78b
      c000041d
      000bdae8
      1fd4
      01d1ffb2ef40511f
      F:\Programme (86)\Lockheed Martin\Prepar3D v3\Prepar3D.exe
      C:\WINDOWS\SYSTEM32\KERNELBASE.dll
     

e2af4684-e43d-4a9d-be52-a654fbaf1e9b

 

Thx

Thx

 

Link to comment
9 hours ago, Valen73 said:

@signmanbob can you report to working your Concorde, or not in p3d V3.3.5? Sorry, but no answer from stuff here, to fix my problem...

this my failure report, after crash p3d, when i will start the Concorde.

when comes a new Version with a working Installer for Concorde. I wanna fly, but my P3D V3.3 is crashing.

 

 I have it installed, but haven't had a chance to try it yet.  I will load it up and let you know how it goes.

 

Bob

Link to comment
12 hours ago, Valen73 said:

@signmanbob can you report to working your Concorde, or not in p3d V3.3.5? 

 

Hello Valen,

My Concorde loaded up just fine.  Everything looks like it is working good.  I haven't tried flying it because I have to take some time and set up all of my controllers with it.

I really need to read the manual before I start doing too much with it, but it loaded up just fine and is looking good.

 

Bob

Link to comment
Lefteris Kalamaras
17 hours ago, Valen73 said:

@signmanbob can you report to working your Concorde, or not in p3d V3.3.5? Sorry, but no answer from stuff here, to fix my problem...

this my failure report, after crash p3d, when i will start the Concorde.

Have you updated to the latest version of Concorde-X for P3D?

Link to comment
On 19/05/2016 at 3:44 AM, Lefteris Kalamaras said:

Dear Rico,

Since you are asking this question, it means we have failed in adequately providing full details in this forum as well as in our web site Concorde-X product page - is that the case, or did you come straight here without looking elsewhere? - I am not trying to insult you, rather the opposite, I'd be very interested to know if we're not making our update information available correctly.

I would like to comment on that. For me it is not clear or it is not usual the way this update is announced. Usually we get updates, as long as they are not a deep re-development of the aircraft, for free and at a first look it is just stated that if you purchased more than 1 year ago you need to pay an extra USD4.95 or something like this. I could figure out only after reading this forum that it is indeed required you pay that amount to get the new version, if your original purchase was more than 1 year ago.

About the A320 there is not a lot of information in the main page and it states that for more information you go to the forums. But there it is not easy to locate where exactly there is a full description of the product, some more snapshots and so on. For example, I can see by the pictures that there is a wheatear radar implemented but it could be terrain also? Not everybody is an expert to figure that out, and that is not my case also.

And to conclude, congratulations for the great job you´ve been doing and delivering to the community high quality products! If it depends on me I will keep supporting FSL

Link to comment
5 hours ago, Lefteris Kalamaras said:

Have you updated to the latest version of Concorde-X for P3D?

Yes, v.1.34.  Everything seems to be working good now.  

It does seem difficult and a bit confusing to find updates for the Concorde.  I would expect them to be in the "Download" or "Support" section of the website.

Link to comment
11 hours ago, Lefteris Kalamaras said:

Have you updated to the latest version of Concorde-X for P3D?

Yes, when i delete the dml entrys, are in the cocpit, but i cant doing anything. also all screens black, when the entrys are in the dml, crash to de4sktop... I have the Version 1.34 downloading and install.. she is not working.

Link to comment
On 3/10/2016 at 0:12 AM, Lefteris Kalamaras said:

v1.35 for FSX is a compatibility update for people who have also purchased the A320-X


Does this mean that if I do not have the A320 that either I don't need this or that it doesn't work unless I do have the A320?

Link to comment

Thank you, Lefteris for the recent update!

I just wanted to write you about the autothrottle issue, but read that you have fixed it....great ..

One question: I'm now downloading the new Version for P3D (1.36) 467 MB. Do I have to uninstall the previous Version?

Thanks and happy flying!

Sascha

Link to comment
  • Lefteris Kalamaras changed the title to Concorde-X V1.40 Now Available For Fsx and P3D v3.
  • Lefteris Kalamaras unpinned this topic
×
×
  • Create New...